Skip to main content
POST
/
orgs
/
{org_id}
/
records
/
{record_id}
/
comments
Create a record comment
curl --request POST \
  --url https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "comment": "<string>",
  "attachments": [
    "<string>"
  ]
}
'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments"

payload = {
"comment": "<string>",
"attachments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>', attachments: ['<string>']})
};

fetch('https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "record_id": "<string>",
  "comment": "<string>",
  "attachments": [
    {
      "id": "<string>",
      "file_path": "<string>",
      "file_filename": "document.pdf",
      "file_size": 1024,
      "file_mimetype": "application/pdf",
      "file_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "actor": {
    "id": "<string>",
    "name": "<string>",
    "email": "jsmith@example.com",
    "avatar": "<string>",
    "seen_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

record_id
string
required

Record ID

Body

Schema for creating a table record comment

comment
string

The content of the comment (max 2048 characters)

Maximum string length: 2048
attachments
string[]

Array of file IDs to attach to the comment

Maximum array length: 20
Maximum string length: 128

Response

200 - application/json

Schema for a table record comment

id
string
required
record_id
string
required
comment
string | null
required
attachments
object[]
required

Files attached to the comment

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
actor
object

User who posted the comment